image: golang:1.8

.test: &test
  script:
  - make setup
  - make verify
  - make cover
  - echo "Running all tests without daemonizing..."
  - make test
  - echo "Running just the acceptance tests daemonized (tmpdir)...."
  - TEST_DAEMONIZE=tmpdir make acceptance
  - echo "Running just the acceptance tests daemonized (inplace)...."
  - TEST_DAEMONIZE=inplace make acceptance
  artifacts:
    paths:
      - bin/gitlab-pages
      - coverage.html

test:1.8:
  <<: *test

test:1.9:
  image: golang:1.9
  <<: *test

test:1.10:
  image: golang:1.10
  <<: *test
